Package org.eclipse.net4j.db.hsqldb

## Class HSQLDBDataSource

- java.lang.Object
- - org.hsqldb.jdbc.JDBCCommonDataSource
  - - org.hsqldb.jdbc.JDBCDataSource
    - - org.eclipse.net4j.db.hsqldb.HSQLDBDataSource

- All Implemented Interfaces:
    `java.io.Serializable`, `java.sql.Wrapper`, `javax.naming.Referenceable`, `javax.sql.CommonDataSource`, `javax.sql.DataSource`

      public class HSQLDBDataSource
      extends org.hsqldb.jdbc.JDBCDataSource

  An `HSQLDB data source` with a nicer `toString()` method.
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.hsqldb.jdbc.JDBCCommonDataSource

      `connectionProps, dataSourceName, description, loginTimeout, logWriter, networkProtocol, password, serverName, url, user`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HSQLDBDataSource()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.hsqldb.jdbc.JDBCDataSource

      `getConnection, getConnection, getReference, isWrapperFor, unwrap`

    - ### Methods inherited from class org.hsqldb.jdbc.JDBCCommonDataSource

      `getDatabase, getDatabaseName, getDataSourceName, getDescription, getLoginTimeout, getLogWriter, getNetworkProtocol, getParentLogger, getServerName, getUrl, getUser, setDatabase, setDatabaseName, setLoginTimeout, setLogWriter, setPassword, setProperties, setUrl, setUser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.sql.CommonDataSource

      `createShardingKeyBuilder, getParentLogger`

    - ### Methods inherited from interface javax.sql.DataSource

      `createConnectionBuilder, getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

- - ### Constructor Detail

    - #### HSQLDBDataSource

          public HSQLDBDataSource()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`